Subject: Re: [PATCH 07/16] git-read-tree: take --submodules option

From: Steven Grimm <[email-masked]>
Date: Fri, 25 May 2007 14:16:16 -0700

Junio C Hamano wrote:
> If you were doing an efficient cgi script that renders history
> of git managed projects, binding git as its subproject, and that
> system can be built with either 'maint' (i.e. 1.5.2 series) or
> 'master' (i.e. ultrastable WIP towards 1.5.3), even though they
> both might come from git://git.kernel.org/pub/scm/git/git.git/,
> I think they should be registered as two separate logical
> subprojects.
>   

I agree strongly with this, and it's another good reason that we have to 
be able to use something other than the URL as the key to look up a 
subproject's repository location. If you use the URL it is impossible to 
differentiate the two subprojects in this case.

-Steve